Bug 1310323 - python3-stem requires both Python 2 and Python 3
python3-stem requires both Python 2 and Python 3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-stem (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Orti
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2016-02-20 06:26 EST by Petr Viktorin
Modified: 2016-02-29 00:24 EST (History)
1 user (show)

See Also:
Fixed In Version: python-stem-1.4.1b-10.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 00:24:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Viktorin 2016-02-20 06:26:43 EST
The file /usr/bin/tor-prompt from the python3-stem RPM has a /usr/bin/python2 shebang, so it won't work unless python2-stem is also installed.

Please switch the shebang to use Python 3.



If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!
Comment 1 Fedora Update System 2016-02-20 09:42:30 EST
python-stem-1.4.1b-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c8ddeb89a
Comment 2 Fedora Update System 2016-02-21 12:58:20 EST
python-stem-1.4.1b-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c8ddeb89a
Comment 3 Jan Kurik 2016-02-24 10:27:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora Update System 2016-02-29 00:24:53 EST
python-stem-1.4.1b-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.